"""test_crawler_functions.py - Test functions from the babyspider.crawler module."""

from unittest.mock import MagicMock

from babyspider import crawler


def test__log_exception() -> None:
    """Test the internal crawler._log_exception() function."""
    logger = MagicMock()
    result = crawler._log_exception(  # pylint: disable=protected-access
        "fake_message", logger, ValueError, "fake_prefix"
    )
    assert isinstance(result, ValueError)
    assert str(result) == "fake_message"
    logger.assert_called_once_with("fake_prefix fake_message")
